%global         pypi_name      GetDist
###define         gitcommit      gita14cf5f 
Name:           python-getdist
Version:        0.2.7
Release:        %mkrel 1
###-c #{gitcommit} 1
Summary:        A samples analyzer for Markov Chain Monte Carlo (MCMC)
License:        MIT
Group:          Development/Python

URL:            https://pypi.python.org/pypi/GetDist
Source0:        https://pypi.python.org/pypi/GetDist/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch 
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  pkgconfig(pkg-config)

Requires:       latex
Requires:       python-numpy
Requires:       python-scipy
Requires:       pyside
Requires:       python-matplotlib-qt4

Provides:       getdist = %{version}-%{release}

%description
Getdist is a python package for analyzing Monte Carlo samples,
including correlated samples from Markov Chain Monte Carlo (MCMC). It
provides a point and click GUI allowing to select chain files, view
plots, extract marginalized constraints, generate LaTeX tables and
more. GetDist is also a plotting library which can be imported in any
python code to make custom publication-ready multi-dimensional and
triangle plots. The underlying code incorporates an automated optimal
bandwidth choice to extract smooth 1D and 2D densities based on the
Botev-Sheather-Jones method. Convergence diagnostics are also reported
by computing correlation length and diagonalized Gelman-Rubin
statistics.




%package -n python3-getdist
Summary:        Python3 implementation of GetDist
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-setuptools
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-pyside
Requires:       python3-matplotlib-qt4


%description -n python3-getdist
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypi_name}.egg-info

%__cp -a . %{py3dir}

%build

%py2_build
pushd %{py3dir} 
%py3_build
popd


%install
%py2_install
pushd %{py3dir} 
%py3_install
popd

%files
%doc README.rst
%{_bindir}/GetDist*
%{python2_sitelib}/getdist
%{python2_sitelib}/getdist_tests
%{python2_sitelib}/paramgrid
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-getdist
%doc README.rst
%{python3_sitelib}/getdist
%{python3_sitelib}/getdist_tests
%{python3_sitelib}/paramgrid
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info




%changelog
* Mon Apr 03 2017 eatdirt <eatdirt> 0.2.7-1.mga6
+ Revision: 1095794
- Upgrade to version 0.2.7

* Thu Dec 01 2016 eatdirt <eatdirt> 0.2.6-1.mga6
+ Revision: 1071451
- Upgrade to latest stable

* Thu Oct 06 2016 eatdirt <eatdirt> 0.2.6-0.gita14cf5f.4.mga6
+ Revision: 1059271
- Update prerelease to latest git commit

* Fri Mar 18 2016 eatdirt <eatdirt> 0.2.6-0.git9133bc2.3.mga6
+ Revision: 992830
- Upgrade to latest git

* Fri Feb 19 2016 umeabot <umeabot> 0.2.6-0.git98b029f88d.2.mga6
+ Revision: 970572
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 eatdirt <eatdirt> 0.2.6-0.git98b029f88d.1.mga6
+ Revision: 887208
- Upgrade to latest git HEAD, rebuild for new python

* Fri Jul 31 2015 eatdirt <eatdirt> 0.2.5-2.mga6
+ Revision: 859843
- Fix wrong ref to python3 in GetDist.py

* Thu Jul 30 2015 eatdirt <eatdirt> 0.2.5-1.mga6
+ Revision: 859136
- imported package python-getdist

